<div class="article">
  <nz-page-header nzBackIcon>
    <nz-page-header-title>{{ article?.title }}</nz-page-header-title>
    <nz-page-header-subtitle>
      {{ 'Common.By' | translate }} <a [routerLink]="['/newspaper', article?.newspaper?.id]">{{
        article?.newspaper?.name }}</a>
    </nz-page-header-subtitle>

    <nz-page-header-extra *ngIf="isCitizen === true">
      <button *ngIf="canVote" nz-button nzShape="round" nzType="default" (click)="vote()" style="margin-right: 3px" nz-tooltip
        nzTooltipTitle='{{ "Common.Buttons.Vote" | translate }}'>
        <i class="far fa-thumbs-up" style="color: rgb(49, 238, 49)"></i>
      </button>

      <button nz-button nzShape="round" nzType="default" nz-tooltip style="margin-right: 3px" [routerLink]="['/newspaper', article?.newspaper?.id]"
        nzTooltipTitle='{{ "Common.Buttons.Subscribe" | translate }}'>
        <i class="fa-regular fa-heart fa-beat-fade" style="color: rgb(182, 8, 8)"></i>
      </button>

      <!-- <app-report-button entityType="80" [entityId]="article?.id"></app-report-button> -->

      <button nz-button nzShape="round" nzType="default" *ngIf="canHideArticle === true" nz-popconfirm style="margin-left: 3px"
        [nzPopconfirmTitle]="deleteReasonTpl" (nzOnConfirm)="deleteArticle()">
        {{ 'Common.Buttons.Hide' | translate }}
      </button>
      <ng-template #deleteReasonTpl>
        {{ 'Social.StateTheReason' | translate }}:<br />
        <textarea rows="4" nz-input [(ngModel)]="deleteReason"></textarea>
      </ng-template>
    </nz-page-header-extra>
    <nz-page-header-tags>
      <nz-tag [nzColor]="'lightgrey'" style="margin-top: 5px" nz-tooltip
        nzTooltipTitle="{{ 'Social.Newspaper.Published' | translate }}">
        <i nz-icon nzType="clock-circle" nzTheme="outline" style="margin-right: 2px"></i> {{ 'Social.Newspaper.Day' | translate }} {{ article?.publishGameDay
        }}
      </nz-tag>

      <nz-tag [nzColor]="'#f50'" style="margin-top: 5px" nz-tooltip
        nzTooltipTitle="{{ 'Social.Article.UniqueViews' | translate }}">
        <i class="far fa-eye" style="margin-right: 2px"></i> {{ article?.uniqueViews }}
      </nz-tag>

      <nz-tag [nzColor]="'#108ee9'" style="margin-top: 5px" nz-tooltip
        nzTooltipTitle="{{ 'Social.Newspaper.Votes' | translate }}">
        <i class="far fa-heart" style="margin-right: 2px"></i> {{ article?.votes }}
      </nz-tag>

      <nz-tag [nzColor]="'#87d068'" style="margin-top: 5px" nz-tooltip
        nzTooltipTitle="{{ 'Social.Newspaper.Editors' | translate }}">
        <i class="fas fa-user-edit" style="margin-right: 4px"></i> <span [innerHtml]="article?.editors"></span>
      </nz-tag>
    </nz-page-header-tags>
  </nz-page-header>

  <nz-divider></nz-divider>

  <p class="article-text markdown-body" [innerHtml]="article?.htmlContent"></p>

  <nz-divider></nz-divider>

  <h3>{{ 'Social.Community.Comments' | translate }}</h3>
  <nz-spin [nzSpinning]="isLoading.comments">
    <nz-comment *ngIf="profile">
      <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="profile?.avatar"></nz-avatar>
      <nz-comment-content>
        <nz-form-item>
          <textarea [(ngModel)]="comment" nz-input rows="4"></textarea>
        </nz-form-item>
        <nz-form-item>
          <button nz-button nzShape="round" nzType="primary" [disabled]="!comment" (click)="addComment()">
            {{ 'Social.Community.AddComment' | translate }}
          </button>
        </nz-form-item>
      </nz-comment-content>
    </nz-comment>
  </nz-spin>
  <nz-list>
    <nz-list-item *ngFor="let item of article?.comments">
      <nz-list-item-meta [nzAvatar]="item?.author?.avatar" [nzDescription]="commentContent">
        <ng-template #commentContent>
          <p>{{ item.description }}</p>
        </ng-template>
        <nz-list-item-meta-title>
          <a [routerLink]="['/', item?.author?.type, item?.author?.id]">{{ item?.author?.name }}</a>
          <nz-tag [nzColor]="'lightgrey'" style="margin-left: 10px">
            <i nz-icon nzType="clock-circle" nzTheme="outline"></i>
            {{ item?.createdOn }}
          </nz-tag>
        </nz-list-item-meta-title>
      </nz-list-item-meta>
      <ul nz-list-item-actions>
        <nz-list-item-action *ngIf="item.canDelete || canHideComments === true">
          <button nz-button nzShape="round" class="button-basic" nz-popconfirm [nzPopconfirmTitle]="deleteCommentReasonTpl"
            (nzOnConfirm)="deleteComment(item.id)">
            <i class="fas fa-trash"></i>
          </button>
          <ng-template #deleteCommentReasonTpl>
            {{ 'Social.StateTheReason' | translate }}:<br />
            <textarea rows="4" nz-input [(ngModel)]="deleteReason"></textarea>
          </ng-template>
        </nz-list-item-action>
        <nz-list-item-action *ngIf="isCitizen === true">
          <!-- <app-report-button entityType="100" [entityId]="item?.id"></app-report-button> -->
        </nz-list-item-action>
      </ul>
    </nz-list-item>
  </nz-list>

  <nz-card nzSize="small" [nzTitle]="'Social.Newspaper.uniqueViews' | translate" *ngIf="chartData">
    <app-chart [labels]="chartData.labels" [datasets]="chartData.datasets" [options]="chartData.options" type="line"
      height="400"></app-chart>
  </nz-card>
</div>
